Accept Offer
PATCH
/api/projects/offers/{assignment_uuid}/accept
const url = 'https://example.com/api/projects/offers/example/accept';const options = {method: 'PATCH'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/projects/offers/example/acceptAccept an offer by UUID. Sets state to ‘accepted’. Auth: Must be the offeree.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”assignment_uuid
required
Assignment Uuid
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}